# List events

Fetches events for System Admin users. This includes actions such as creating, updating, loading, deleting, and more of items such as sheets, reports, dashboards, attachments, and users in your Smartsheet organization account.

See Event types for the complete event listing, details, and example objects.

> Who can use this operation?
> 
> - Plans: Requires the Event Reporting premium add-on available for Enterprise and Advanced Work Management plans only.
> - Permissions: System Admin

> Note: You must specify exactly one of the query parameters since or streamPosition. Both are optional individually, but one is required.

Endpoint: GET /events
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Accept-Encoding` (string)
    Strongly recommended to make sure payload is compressed. Must be set to one of the following values:
* deflate
* gzip
    Enum: "deflate", "gzip"

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

## Query parameters:

  - `since` (string)
    The earliest time from which events are included in the response. Events before this time are excluded.

This parameter is required if streamPosition is not used.

The date-time value is resolved to the nearest hour. The value is interpreted as ISO-8601 format, unless numericDates is specified (see details about numericDates below).

Important: To keep event responses manageable and prevent timeouts, also specify the to query parameter.

Important: This parameter is intended for use when backfilling data at client startup or recovery--don't use it for fine-grained, date-based queries.

  - `to` (string)
    The latest time up to which events are included in the response. Events after this time are excluded.

This parameter requires using the since parameter. 

The date-time value is resolved to the nearest hour. The value is interpreted as ISO-8601 format, unless numericDates is specified (see details about numericDates below).

Logic:

- If to is a future time, the current time is used.
- If to equals the since time, an empty data value is returned.
- If to is before the since time, a validation error is returned.

Important: This parameter is intended for use when backfilling data at client startup or recovery--don't use it for fine-grained, date-based queries.

  - `streamPosition` (string)
    Indicates next set of events to return. Use value of
nextStreamPosition returned from the previous call.

This parameter is required if since is not used.
    Example: "XyzAb1234cdefghijklmnofpq"

  - `maxCount` (integer)
    Maximum number of events to return as response to this call.
Must be between 1 through 10,000 (inclusive).
Defaults to 1,000 if not specified.

  - `numericDates` (boolean)
    If true, dates are accepted and returned in Unix epoch time
(milliseconds since midnight on January 1, 1970 in UTC time).

Default is false, which means ISO-8601 format.

  - `managedPlanId` (number)
    The target managed plan for which to list events. Authorized if the
caller is a system administrator on either the target managed plan or
the main plan in EPM hierarchy.

## Response 200 fields (application/json):

  - `nextStreamPosition` (string)
    This string should be passed back to the next GET events call to obtain
subsequent events.
    Example: "XyzAb1234cdefghijklmnofpq"

  - `moreAvailable` (boolean)
    True if more results are available. This is typically due to event counts
exceeding the maxCount parameter passed in.
    Example: true

  - `data` (array) — one of:
    List of Events
    - ACCESS_TOKEN - AUTHORIZE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: "WEB_APP", "MOBILE_IOS", "MOBILE_ANDROID", "API_UNDEFINED_APP", "API_INTEGRATED_APP", "API_ODBC_DRIVER", "UNKNOWN"
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: "ACCESS_TOKEN"
      - `action` (string)
        The action applied to the specified object
        Enum: "AUTHORIZE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.tokenName` (string)
        Name of the newly created access token. (Only included in cases when a name was given to the token)
        Example: "my_token"
      - `additionalDetails.tokenDisplayValue` (string)
        Four or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an ID because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
        Example: "AB12..."
      - `additionalDetails.tokenExpirationTimestamp` (string)
        Date and time when this access token expires.
        Example: "2026-05-24T14:15:22Z"
      - `additionalDetails.accessScopes` (string)
        Comma-delimited list of access scopes granted to this access token. See these [access scopes](/api/smartsheet/guides/advanced-topics/oauth#access-scopes) for details.
        Example: "READ_SHEETS,WRITE_SHEETS"
      - `additionalDetails.appClientId` (string)
        The client ID of the app to which this access token was granted. (Only included in cases when the access token was generated for an app)
        Example: "dheu3dmkd32fhxme"
      - `additionalDetails.appName` (string)
        The name of the app to which this access token was granted. (Only included in cases when the access token was generated for an app)
        Example: "my_app"
    - ACCESS_TOKEN - REFRESH:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCESS_TOKEN - AUTHORIZE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "REFRESH"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.tokenDisplayValue` (string)
        Four or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an ID because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
        Example: "AB12..."
      - `additionalDetails.tokenExpirationTimestamp` (string)
        Date and time when this access token expires.
        Example: "2026-05-24T14:15:22Z"
    - ACCESS_TOKEN - REVOKE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCESS_TOKEN - AUTHORIZE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "REVOKE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.tokenDisplayValue` (string)
        Four or more characters used as a mnemonic to represent this access token. Even though this value serves as a visual token differentiator, this value isn't an ID because it isn't guaranteed to be unique across all tokens. This value is the same displayed by Smartsheet UI for each access token listed under Apps & Integrations > API Access.
        Example: "AB12..."
      - `additionalDetails.tokenUserId` (string)
        The ID of the user who owns this token.
        Example: "122454719915908"
    - ACCOUNT - BULK UPDATE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: "ACCOUNT"
      - `action` (string)
        The action applied to the specified object
        Enum: "BULK_UPDATE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - DOWNLOAD LOGIN HISTORY:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DOWNLOAD_LOGIN_HISTORY"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - DOWNLOAD PUBLISHED ITEMS REPORT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DOWNLOAD_PUBLISHED_ITEMS_REPORT"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - DOWNLOAD SHEET ACCESS REPORT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DOWNLOAD_SHEET_ACCESS_REPORT"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - DOWNLOAD USER LIST:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DOWNLOAD_USER_LIST"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - IMPORT USERS:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "IMPORT_USERS"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - LIST SHEETS:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "LIST_SHEETS"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
    - ACCOUNT - RENAME:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "RENAME"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.newName` (string)
        New name of the organization account
        Example: "New Company Name"
      - `additionalDetails.oldName` (string)
        Previous name of the organization account
        Example: "Old Company Name"
    - ACCOUNT - UPDATE MAIN CONTACT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ACCOUNT - BULK UPDATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "UPDATE_MAIN_CONTACT"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.newContactUserId` (string)
        ID of the new main contact
        Example: "12345678901234567"
      - `additionalDetails.oldContactUserId` (string)
        ID of the former main contact
        Example: "48569348493401200"
    - AI_GOVERNANCE - ACTIVATION_CONTROL_DISABLED:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectId` (any)
        Example: -1
      - `objectIdStr` (any)
        For AI governance events, this field does not represent a meaningful object identifier.

AI governance feature flag events are not associated with a specific object ID.

This field may contain a placeholder value and should not be used for identifying
or referencing the event object.
        Example: "-1"
      - `objectType` (string)
        The name of the AI governance feature flag impacted by the event.
        Example: "AI_GOVERNANCE"
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATION_CONTROL_DISABLED"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string)
        Email address of the user who performed the action.
        Example: "admin@example.com"
      - `additionalDetails.featureName` (string)
        The name of the AI governance feature flag that was disabled.
        Example: "AI Features"
    - AI_GOVERNANCE - ACTIVATION_CONTROL_ENABLED:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectId` (any)
        Example: -1
      - `objectIdStr` (any)
        For AI governance events, this field does not represent a meaningful object identifier.

AI governance feature flag events are not associated with a specific object ID.

This field may contain a placeholder value and should not be used for identifying
or referencing the event object.
        Example: "-1"
      - `objectType` (string)
        The name of the AI governance feature flag impacted by the event.
        Example: "AI_GOVERNANCE"
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATION_CONTROL_ENABLED"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string)
        Email address of the user who performed the action.
        Example: "admin@example.com"
      - `additionalDetails.featureName` (string)
        The name of the AI governance feature flag that was enabled.
        Example: "AI Features"
    - ATTACHMENT - CREATE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: "ATTACHMENT"
      - `action` (string)
        The action applied to the specified object
        Enum: "CREATE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `additionalDetails.attachmentName` (string)
        Name of the attachment.
        Example: "my file"
    - ATTACHMENT - DELETE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DELETE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
    - ATTACHMENT - LOAD:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "LOAD"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
      - `additionalDetails.multiFileDownloadName` (string)
        Name of the compressed file containing the multiple attachments downloaded at once. (Only included if more than one attachment was selected to be downloaded in the same user action. Please notice that multi-attachment download action allows the user to specify the name of the zip file that should include all attachments, which is what is being provided here. The download of a single attachment uses the attachment name as the download file name and it cannot be changed, and it isn't provided in this event because it is provided in the ATTACHMENT-CREATE event or by querying Smartsheet API with the attachment ID)
        Example: "name_of_first_file.zip"
    - ATTACHMENT - SEND:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "SEND"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.recipientEmail` (string)
        Single email address either of a user explicitly included in the recipient list or of the sender (when CC sender is requested). (This property is included only if the recipientGroupId property below isn't included)
        Example: "john.doe@smartsheet.com"
      - `additionalDetails.recipientGroupId` (string)
        Single ID of a user group explicitly included in the recipient list. (This property is included only if the recipientEmail property above isn't included)
        Example: "4583173393803140"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
    - ATTACHMENT - UPDATE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "ATTACHMENT - CREATE" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "UPDATE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.sheetId` (string)
        ID of the sheet that contains the attachment. (This property is included only if the workspaceId property below isn't included)
        Example: "6141831453927300"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that directly contains the attachment. (This property is included only if the sheetId property above isn't included)
        Example: "9876543210987654"
    - AUTHENTICATION - ACTIVATE_DOMAIN_STRICT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: "AUTHENTICATION"
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATE_DOMAIN_STRICT"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where domain strict is activated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA is enabled for this policy
    - AUTHENTICATION - ACTIVATE_EMAIL_BASED_TOTP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATE_EMAIL_BASED_TOTP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where email TOTP is activated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA is enabled
    - AUTHENTICATION - ACTIVATE_MFA_EMAIL_BASED_TOTP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATE_MFA_EMAIL_BASED_TOTP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs affected
    - AUTHENTICATION - ACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs affected
    - AUTHENTICATION - ACTIVATE_SAML_IDP_CONFIG:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATE_SAML_IDP_CONFIG"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        The domains for which this policy is activated
    - AUTHENTICATION - ACTIVATE_SYSADMIN_TOTP_FALLBACK:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ACTIVATE_SYSADMIN_TOTP_FALLBACK"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where system admin TOTP fallback is activated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA is enabled
    - AUTHENTICATION - ADD_SAML_IDP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ADD_SAML_IDP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.isOkta` (string)
        "true" or "false" indicating whether this is an Okta IdP
      - `additionalDetails.displayName` (string)
        Human-readable name of the IdP
      - `additionalDetails.urlBased` (string)
        "true" or "false" indicating whether metadata is URL-based vs file-based
    - AUTHENTICATION - DEACTIVATE_DOMAIN_STRICT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DEACTIVATE_DOMAIN_STRICT"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where domain strict is deactivated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA was enabled for this policy
    - AUTHENTICATION - DEACTIVATE_EMAIL_BASED_TOTP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DEACTIVATE_EMAIL_BASED_TOTP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where email TOTP is deactivated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA was enabled
    - AUTHENTICATION - DEACTIVATE_MFA_EMAIL_BASED_TOTP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DEACTIVATE_MFA_EMAIL_BASED_TOTP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs affected
    - AUTHENTICATION - DEACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DEACTIVATE_MFA_SYSADMIN_TOTP_FALLBACK"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs affected
    - AUTHENTICATION - DEACTIVATE_SAML_IDP_CONFIG:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DEACTIVATE_SAML_IDP_CONFIG"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        The domains for which this policy is deactivated
    - AUTHENTICATION - DEACTIVATE_SYSADMIN_TOTP_FALLBACK:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DEACTIVATE_SYSADMIN_TOTP_FALLBACK"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.domains` (string)
        Comma-separated list of FQDNs where system admin TOTP fallback is deactivated
      - `additionalDetails.mfaEnabled` (string)
        "true" or "false" indicating whether MFA was enabled
    - AUTHENTICATION - DELETE_SAML_IDP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "DELETE_SAML_IDP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.displayName` (string)
        Name of the deleted IdP
    - AUTHENTICATION - LOGIN:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "LOGIN"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.loginResult` (string)
        Result of the login attempt: "success" or "failure"
      - `additionalDetails.loginMethod` (string)
        Authentication method used (e.g., "EMAIL_PASSWORD")
      - `additionalDetails.reason` (string)
        Failure reason (only included when loginResult is "failure"), e.g., "AUTH_NO_MATCHING_USER"
    - AUTHENTICATION - LOGOUT:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "LOGOUT"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.logoutMethod` (string)
        How the logout was initiated (e.g., "user_signout")
      - `additionalDetails.logoutResult` (string)
        Result of the logout (e.g., "success")
    - AUTHENTICATION - UPDATE_SAML_IDP:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "AUTHENTICATION - ACTIVATE_DOMAIN_STRICT" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "UPDATE_SAML_IDP"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.isOkta` (string)
        "true" or "false" (only if the Okta flag changed)
    - DASHBOARD - ADD_PUBLISH:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: "DASHBOARD"
      - `action` (string)
        The action applied to the specified object
        Enum: "ADD_PUBLISH"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.accessibleBy` (string)
        Indicates who can use the link to view the dashboard: "ALL" (accessible to any person with the link), "ORG" (accessible only by those belonging to the org).
        Enum: "ALL", "ORG"
      - `additionalDetails.publishType` (string)
        Indicates permissions granted to users with a valid link. All dashboard publishes are read only: "read_only".
        Enum: "read_only"
      - `additionalDetails.publishFormat` (string)
        Indicates format of the published dashboard. Dashboards are published in a rich media format: "FULL",
        Enum: "FULL"
    - DASHBOARD - ADD_SHARE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "DASHBOARD - ADD_PUBLISH" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ADD_SHARE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.accessLevel` (string)
        Indicates the access level granted to the user. 

Note that this access level represents the access level that has been granted to the user via group membership; it is not the user's effective access level for the dashboard.
        Enum: "VIEWER", "EDITOR", "EDITOR_SHARE", "ADMIN"
      - `additionalDetails.userId` (string)
        ID of the user that was added to the group.
        Example: "12345678901234567"
      - `additionalDetails.groupId` (string)
        ID of the group the user was added to.
        Example: "5432109876543210"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that the group is shared to. (Specific to cases where the dashboard is shared to the group via a workspace's sharing list)
        Example: "9876543210987654"
    - DASHBOARD - ADD_SHARE_MEMBER:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "DASHBOARD - ADD_PUBLISH" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ADD_SHARE_MEMBER"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.accessLevel` (string)
        Indicates the access level granted to the group or user. 

Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the dashboard.
        Enum: same as `additionalDetails.accessLevel` in "DASHBOARD - ADD_SHARE" (4 values)
      - `additionalDetails.userId` (string)
        ID of the user that was added to the dashboard's sharing list. (Specific to share to user actions)
        Example: "12345678901234567"
      - `additionalDetails.groupId` (string)
        ID of the group that was added to the dashboard's sharing list. (Specific to share to group actions)
        Example: "5432109876543210"
    - DASHBOARD - ADD_WORKSPACE_SHARE:
      - `eventId` (string)
        Unique event identifier.
        Example: "2.1.iI9WIpaEAhjz-0hV0eGw2lOEoKDqoRUP00NJv2RvAyKoOvyws63zsfpTBqda5tb33ylcz2JdGVC9Rfa2FRJKQg"
      - `eventTimestamp` (string)
        Date and time of the event. Defaults to ISO-8601 format. See dates and
times for more information.
        Example: "2025-05-24T14:15:22Z"
      - `requestUserId` (number)
        User whose authentication credential is embedded in the request that
initiated the event. For example, if the request is an API call with an
access token then requestUserId identifies the user whose data can be
accessed via the access token (i.e., the user who authorized the creation
of the access token). On the other hand, if the request comes from a UI
session, then requestUserId identifies the user logged-in to the UI.
        Example: 133445566778
      - `accessTokenName` (string)
        Name of the access token embedded in the request. This property is omitted
if there's no access token in the request (i.e., it isn't an API call) or
if the access token wasn't given a name when created (only access tokens
generated via the Smartsheet desktop UI can be given a name at creation
time).
        Example: "Test token"
      - `source` (string)
        Identifies the client or user agent used to initiate the action.
        Enum: same as `source` in "ACCESS_TOKEN - AUTHORIZE" (7 values)
      - `objectType` (string)
        The Smartsheet resource impacted by the event.
        Enum: same as `objectType` in "DASHBOARD - ADD_PUBLISH" (1 values)
      - `action` (string)
        The action applied to the specified object
        Enum: "ADD_WORKSPACE_SHARE"
      - `additionalDetails` (object)
      - `additionalDetails.sourceIpAddress` (string)
        IP address of the user responsible for the event. This field is only present if the source of the event is "WEB_APP".
        Example: "248.253.157.32"
      - `additionalDetails.emailAddress` (string, required)
        Email address of the user responsible for the event.
        Example: "jane.doe@smartsheet.com"
      - `additionalDetails.accessLevel` (string)
        Indicates the access level granted to the group or user.

Note that this access level represents the access level granted by this specific sharing action; it is not the group or user's effective access level for the dashboard.
        Enum: same as `additionalDetails.accessLevel` in "DASHBOARD - ADD_SHARE" (4 values)
      - `additionalDetails.userId` (string)
        ID of the user that the workspace was shared to. (Specific to share to user actions)
        Example: "12345678901234567"
      - `additionalDetails.groupId` (string)
        ID of the group that the workspace was shared to. (Specific to share to group actions)
        Example: "5432109876543210"
      - `additionalDetails.workspaceId` (string)
        ID of the workspace that was shared to the group or user.
[...]
